<template>
	<view class="content">
		<view class="now">
			<view>当前余额：</view>
			<view class="now-money">￥{{new_money}}</view>
		</view>
		<view class="main-jg"></view>
		<view class="add-wrapper">
			<view class="add-box">
				<view class="add-log">￥</view>
				<input type="text" v-model="authCode" placeholder="请输入充值金额" placeholder-class="place" />
			</view>
			<view class="jg" style="height: 1px; background-color: #E6E6E6;"></view>
			<view class="add-tags">
				<view class="tag" v-for="(item, index) in addTags" :key="item" @click="tagClick(index)"
					:class="{ action: currentIndex === index && money == addTags[index].price }">
					<text>{{ item.price }}</text>
					元
				</view>
			</view>
		</view>
		<view class="main-jg"></view>
		<!-- 		<view class="btn-wrapper">
			<view class="icon iconfont iconweixin1">
				<view>微信充值</view>
			</view>
			<view class="btn" @click="btnClick" :class="{'actiont': isSect}">
				<image src="../../static/user/btncz.png" mode="" :class="{'action':!isSect}"></image>
			</view>
		</view> -->
		<view class="btn-wrapper">
			<view class="icon iconfont iconweixin1 iconweixin2">
				<view>汇付充值</view>
			</view>
			<view class="btn" @click="btnClick('huifu')" :class="{'actiont': payType == 'huifu'}">
				<image src="../../static/user/btncz.png" mode="" :class="{'action':payType !== 'huifu'}"></image>
			</view>
		</view>
		<view class="btn-wrapper">
			<view class="icon iconfont iconweixin1 iconweixin2">
				<view>汇付充值</view>
			</view>
			<view class="btn" @click="btnClick('weixin')" :class="{'actiont': payType == 'weixin'}">
				<image src="../../static/user/btncz.png" mode="" :class="{'action':payType !== 'weixin'}"></image>
			</view>
		</view>
		<!-- <view class="row-box">
			<view class="title">充值金额</view>
			<view class="row">
				<text class="tit">￥</text>
				<input class="input" type="number" v-model="money" placeholder="请输入充值金额" placeholder-class="placeholder" />
			</view>
		</view> -->
		<button class="add-btn up" :class="{ 'active-bg': payLoding }"
			@click="!payLoding ? confirm() : ''">立即充值</button>

	</view>
</template>

<script>
	// #ifdef H5
	import * as weichatObj from '@/plugin/jweixin-module/index.js';
	// #endif
	import {
		getMoneyStyle
	} from '@/utils/rocessor.js';
	// #ifdef H5
	import {
		rechargeWechat,
		userBalance
	} from '@/api/wallet.js';
	// #endif
	// #ifdef MP
	import {
		rechargeRoutine,
		userBalance
	} from '@/api/wallet.js';
	// #endif
	import {
		mapState
	} from 'vuex';
	import {
		orderData,
		getUserInfo,
		getRechangeList,
		goChange
	} from '@/api/user.js';
	export default {
		filters: {
			getMoneyStyle
		},
		data() {
			return {
				type: 'weixin',
				money: '', //充值金额
				payLoding: false, //是否加载中
				addTags: [100, 1000, 5000, 10000, 30000],
				currentIndex: 0,
				addMoney: 0,
				isSect: false, //是否选择微信充值
				new_money: 0,
				authCode: '',
				payType: ''
			};
		},
		onLoad(options) {
			this.getRechangeList()
		},
		computed: {
			// #ifdef H5
			// ...mapState(['weichatObj'])
			// #endif
		},
		methods: {
			getRechangeList() {
				getRechangeList().then(res => {
					this.addTags = res.data
				})
			},
			// 跳转
			navTo(url) {
				uni.navigateTo({
					url: url
				});
			},
			// 切换选中对象
			tabRadio(e) {
				this.type = e;
			},
			// 提交
			confirm() {
				if (this.money == 0) {
					return this.$msg('请输入充值金额');
				}
				// if(!this.isSect) {
				// 	return this.$msg('请选择支付方式');
				// }
				let obj = this;
				goChange({
						rechar_id: 4,
						price: obj.money,
						// from: obj.type
						authCode: obj.authCode,
						type: 0, //0 普通充值 1 佣金转余额
						// #ifdef APP
						from: 'app',
						// #endif
						// #ifdef MP | H5
						from: 'weixin',
						// #endif
						staffinfo: '',
						pay_type: obj.payType
					})
					.then(e => {
						uni.showToast({
							title: '充值成功',
							duration: 2000,
							position: 'top'
						});
						setTimeout(() => {
							uni.navigateBack()
						}, 1500)
						obj.payLoding = false;
					})
					.catch(e => {
						obj.payLoding = false;
					});

			},
			//获取订单列表
			loadData(source) {
				console.log(source);
				//这里是将订单挂载到tab列表下
				let index = this.tabCurrentIndex;
				let navItem = this.navList[index];
				let state = navItem.state;
				if (source === 'tabChange' && navItem.loaded === true) {
					//tab切换只有第一次需要加载数据
					return;
				}
				if (navItem.loadingType === 'loading') {
					//防止重复加载
					return;
				}
				navItem.loadingType = 'loading';
				setTimeout(() => {
					let orderList = [];
					orderList.forEach(item => {
						navItem.orderList.push(item);
					});
					//loaded新字段用于表示数据加载完毕，如果为空可以显示空白页
					this.$set(navItem, 'loaded', true);
					//判断是否还有数据， 有改为 more， 没有改为noMore
					navItem.loadingType = 'more';
				}, 600);
			},
			tagClick(index) {
				this.currentIndex = index;
				this.money = this.addTags[index].price;
			},
			clearNoNum() {
				this.money = this.money.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');
				switch (this.money) {
					case '300':
						this.currentIndex = 0;
						break;
					case '200':
						this.currentIndex = 1;
						break;
					case '150':
						this.currentIndex = 2;
						break;
					case '100':
						this.currentIndex = 3;
						break;
					case '50':
						this.currentIndex = 4;
						break;
				}
			},
			btnClick(type) {
				// this.isSect = !this.isSect
				this.payType = type
			},
		}
	};
</script>

<style lang="scss">
	page {
		height: 100%;
		background-color: #fff;
	}

	.add-btn {
		&.modified {
			color: $base-color;
		}

		&.up {
			background-color: $base-color;
			color: #fff;
		}

		display: flex;
		align-items: center;
		justify-content: center;
		width: 604rpx;
		height: 90rpx;
		margin: 0 auto;
		margin-top: 30rpx;
		font-size: $font-lg;
		border-radius: 10rpx;
		// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
	}

	.row-box {
		margin-top: 30rpx;
		padding: 20rpx 30rpx;
		background: #fff;

		.title {
			font-size: $font-base + 2rpx;
			color: $font-color-dark;
		}

		.row {
			display: flex;
			align-items: center;
			position: relative;
			height: 80rpx;

			.tit {
				flex-shrink: 0;
				width: 40rpx;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.input {
				flex: 1;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.iconlocation {
				font-size: 36rpx;
				color: $font-color-light;
			}

			.buttom {
				color: $font-color;
				font-size: $font-base;
			}
		}
	}

	.list {
		padding-left: 30rpx;
		margin-top: 30rpx;
		background-color: #ffffff;

		.box {
			display: flex;
			align-items: center;
			width: 100%;
			height: 120rpx;
			border-bottom: 1px solid $border-color-light;

			.icon {
				font-size: 48rpx;
				padding-right: 20rpx;
			}

			.iconweixin1 {
				color: #18bf16;
			}

			.iconzhifubao {
				color: #08aaec;
			}

			.title-box {
				flex-grow: 1;
				text-align: left;

				.title {
					font-size: $font-base + 2rpx;
					color: $font-color-base;
				}

				.node {
					font-size: $font-sm;
					color: $font-color-light;
				}
			}
		}
	}

	::v-deep .uni-radio-input {
		width: 45rpx;
		height: 45rpx;
	}

	.active-bg {
		background-color: $color-gray !important;
	}

	.now {
		width: 100%;
		height: 86rpx;
		padding: 0 26rpx 0 47rpx;
		display: flex;
		justify-content: space-between;
		line-height: 86rpx;
		background-color: #fff;
		// margin-bottom: 21rpx;

		view {
			font-size: 28rpx;
			font-weight: 500;
			color: #333333;
		}

		.now-money {
			font-size: 32rpx;
			font-weight: bold;
			color: $base-color;
		}
	}

	.add-wrapper {
		width: 750rpx;
		height: 338rpx;
		padding-left: 30rpx;
		background: #ffffff;
		display: flex;
		flex-direction: column;
		align-items: center;

		// margin-bottom: 22rpx;
		.add-box {
			width: 100%;
			height: 103rpx;
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			padding: 0 39rpx 0 10rpx;
			align-items: center;

			.add-log {
				font-size: 37rpx;
				font-weight: bold;
			}

			input {
				width: 218rpx;
				height: 30rpx;
				font-size: 32rpx;
				font-weight: 500;
				color: #000;
				line-height: 40px;
				text-align: right;

				.place {
					color: #bfbfbf;
				}
			}
		}

		.jg {
			width: 100%;
		}

		.add-tags {
			height: 234rpx;
			padding-top: 47rpx;
			padding-bottom: 17rpx;
			display: flex;
			flex-direction: row;
			flex-wrap: wrap;

			// justify-content: space-between;
			.tag {
				width: 210rpx;
				height: 70rpx;
				background-color: #f0f0f0;
				border-radius: 4rpx;
				margin: 0 30rpx 30rpx 0;
				text-align: center;
				line-height: 70rpx;
				font-size: 22rpx;

				text {
					font-size: 32rpx;
					font-weight: 500;
				}
			}

			.action {
				color: #fff;
				background-color: $base-color;
			}
		}
	}

	.btn-wrapper {
		padding: 40rpx 32rpx 40rpx 40rpx;
		// height: 183rpx;
		display: flex;
		justify-content: space-between;
		background-color: #fff;

		.iconweixin1 {
			color: #18bf16;
			font-size: 48rpx;
			display: flex;

			view {
				// display: inline-block;
				height: 48rpx;
				text-align: 48rpx;
				padding-left: 20rpx;
				// padding-top: 10rpx;
				color: #000000;
				font-size: 30rpx;
			}
		}

		.iconweixin2 {
			color: #fe8e2e;
		}

		.btn {
			width: 36rpx;
			height: 36rpx;
			border: 4rpx #3f3f3f solid;
			border-radius: 8rpx 8rpx;

			image {
				// display: none;
				width: 100%;
				height: 100%;
			}

			.action {
				display: none;
			}
		}

		.actiont {
			border: none;
		}
	}

	.main-jg {
		width: 100%;
		height: 21rpx;
		background-color: #f8f6f6;
	}

	.iconweixin {
		color: #36cb59;
	}
</style>